diff -urp '--exclude=unxlngx6.pro' lotuswordpro.bak/prj/build.lst lotuswordpro/prj/build.lst
--- lotuswordpro.bak/prj/build.lst	2008-10-22 14:01:16.000000000 +0800
+++ lotuswordpro/prj/build.lst	2008-10-22 11:42:21.000000000 +0800
@@ -1,4 +1,5 @@
 wp	lotuswordpro : sfx2 sot svx comphelper NULL
 wp	lotuswordpro			usr1	-	all	lwp_mkout NULL
 wp	lotuswordpro\source\filter	nmake	-	all	lwp_filter NULL
-wp	lotuswordpro\util		nmake	-	all	lwp_util lwp_filter NULL
+wp	lotuswordpro\source\filter\xfilter	nmake	-	all	lwp_xfilter NULL
+wp	lotuswordpro\util		nmake	-	all	lwp_util lwp_filter lwp_xfilter NULL
diff -urp '--exclude=unxlngx6.pro' lotuswordpro.bak/source/filter/LotusWordProImportFilter.cxx lotuswordpro/source/filter/LotusWordProImportFilter.cxx
--- lotuswordpro.bak/source/filter/LotusWordProImportFilter.cxx	2008-10-22 14:01:16.000000000 +0800
+++ lotuswordpro/source/filter/LotusWordProImportFilter.cxx	2008-10-22 11:42:21.000000000 +0800
@@ -19,6 +19,8 @@
 
 #include <vector>
 
+#include "lwpfilter.hxx"
+
 using namespace ::rtl;
 using namespace com::sun::star;
 using rtl::OString;
@@ -252,11 +254,13 @@ sal_Bool SAL_CALL LotusWordProImportFilt
 	uno::Reference< XDocumentHandler > xInternalHandler( mxMSF->createInstance( sXMLImportService ), UNO_QUERY );
 	uno::Reference < XImporter > xImporter(xInternalHandler, UNO_QUERY);
         xImporter->setTargetDocument(mxDoc);
-
-        SimpleXMLImporter xmlImporter( xInternalHandler, inputStream );
-        xmlImporter.import();
+/*
+    SimpleXMLImporter xmlImporter( xInternalHandler, inputStream );
+    xmlImporter.import();
+    return sal_True; 
+*/    
+    return ( ReadWordproFile( &inputStream, xInternalHandler) == 0 );
          
-	return sal_True; 
 }
 
 sal_Bool SAL_CALL LotusWordProImportFilter::filter( const Sequence< ::com::sun::star::beans::PropertyValue >& aDescriptor ) 
diff -urp '--exclude=unxlngx6.pro' lotuswordpro.bak/source/filter/makefile.mk lotuswordpro/source/filter/makefile.mk
--- lotuswordpro.bak/source/filter/makefile.mk	2008-10-22 14:01:16.000000000 +0800
+++ lotuswordpro/source/filter/makefile.mk	2008-10-22 11:42:21.000000000 +0800
@@ -8,6 +8,103 @@ ENABLE_EXCEPTIONS=true
 
 SLOFILES= \
 	$(SLO)$/LotusWordProImportFilter.obj \
-	$(SLO)$/genericfilter.obj
+	$(SLO)$/genericfilter.obj       \
+		$(SLO)$/lwpfilter.obj		\
+		$(SLO)$/bencont.obj		\
+		$(SLO)$/benlist.obj		\
+		$(SLO)$/benname.obj		\
+		$(SLO)$/benobj.obj		\
+		$(SLO)$/benval.obj		\
+		$(SLO)$/tocread.obj		\
+		$(SLO)$/utbenvs.obj		\
+		$(SLO)$/utlist.obj		\
+		$(SLO)$/lwp9reader.obj		\
+		$(SLO)$/lwpatomholder.obj	\
+		$(SLO)$/lwpbasetype.obj		\
+		$(SLO)$/lwpcolor.obj		\
+		$(SLO)$/lwpcontent.obj		\
+		$(SLO)$/lwpdefobj.obj		\
+		$(SLO)$/lwpdlvlist.obj		\
+		$(SLO)$/lwpdivinfo.obj		\
+		$(SLO)$/lwpdivopts.obj		\
+		$(SLO)$/lwpdoc.obj		\
+		$(SLO)$/lwpfilehdr.obj		\
+		$(SLO)$/lwpfont.obj		\
+		$(SLO)$/lwpfoundry.obj		\
+		$(SLO)$/lwpfrib.obj		\
+		$(SLO)$/lwpfribtext.obj		\
+		$(SLO)$/lwpfribframe.obj	\
+		$(SLO)$/lwpfribbreaks.obj	\
+		$(SLO)$/lwpfribsection.obj	\
+		$(SLO)$/lwpfribptr.obj		\
+		$(SLO)$/lwpfribtable.obj	\
+		$(SLO)$/lwpholder.obj		\
+ 		$(SLO)$/lwpidxmgr.obj		\
+		$(SLO)$/lwplayout.obj		\
+		$(SLO)$/lwplaypiece.obj		\
+		$(SLO)$/lwplnopts.obj		\
+		$(SLO)$/lwptablelayout.obj	\
+		$(SLO)$/lwprowlayout.obj	\
+		$(SLO)$/lwpcelllayout.obj	\
+		$(SLO)$/lwpframelayout.obj	\
+		$(SLO)$/lwppagelayout.obj	\
+		$(SLO)$/lwpobj.obj		\
+		$(SLO)$/lwpobjhdr.obj		\
+		$(SLO)$/lwpobjid.obj		\
+		$(SLO)$/lwpobjfactory.obj	\
+		$(SLO)$/lwpobjstrm.obj		\
+		$(SLO)$/lwppara.obj		\
+		$(SLO)$/lwppara1.obj		\
+		$(SLO)$/lwpparastyle.obj	\
+		$(SLO)$/lwpprtinfo.obj		\
+		$(SLO)$/lwpborderstuff.obj	\
+		$(SLO)$/lwpparaborderoverride.obj	\
+		$(SLO)$/lwpstory.obj		\
+		$(SLO)$/lwpnumberingoverride.obj	\
+		$(SLO)$/lwpcharborderoverride.obj	\
+		$(SLO)$/lwpbreaksoverride.obj	\
+		$(SLO)$/lwpbackgroundstuff.obj 	\
+		$(SLO)$/lwptabrack.obj		\
+		$(SLO)$/lwpcharacterstyle.obj	\
+		$(SLO)$/lwpoverride.obj		\
+		$(SLO)$/lwpsortopt.obj		\
+		$(SLO)$/lwpsvstream.obj		\
+		$(SLO)$/lwptoc.obj		\
+		$(SLO)$/lwptools.obj		\
+		$(SLO)$/lwpusrdicts.obj		\
+		$(SLO)$/lwpuidoc.obj		\
+		$(SLO)$/lwpdllist.obj       	\
+		$(SLO)$/lwpparaproperty.obj 	\
+		$(SLO)$/lwpsilverbullet.obj	\
+		$(SLO)$/lwpcharsetmgr.obj   	\
+		$(SLO)$/lwpsection.obj   	\
+		$(SLO)$/lwppagehint.obj   	\
+		$(SLO)$/lwpsdwfileloader.obj	\
+		$(SLO)$/lwpoleobject.obj   	\
+		$(SLO)$/lwpbulletstylemgr.obj   \
+		$(SLO)$/lwpsdwgrouploaderv0102.obj   \
+		$(SLO)$/lwpgrfobj.obj		\
+		$(SLO)$/lwpdropcapmgr.obj	\
+		$(SLO)$/lwptblcell.obj		\
+		$(SLO)$/lwptable.obj		\
+		$(SLO)$/lwpmarker.obj		\
+		$(SLO)$/lwpproplist.obj 	\
+		$(SLO)$/lwphyperlinkmgr.obj	\
+		$(SLO)$/lwpvpointer.obj		\
+		$(SLO)$/lwpdrawobj.obj	\
+		$(SLO)$/lwpsdwrect.obj	\
+		$(SLO)$/lwpfootnote.obj	\
+		$(SLO)$/lwpfnlayout.obj	\
+		$(SLO)$/lwpdocdata.obj	\
+		$(SLO)$/lwpnotes.obj	\
+		$(SLO)$/lwpverdocument.obj	\
+		$(SLO)$/localtime.obj	\
+		$(SLO)$/lwpfribmark.obj \
+		$(SLO)$/lwpbookmarkmgr.obj \
+		$(SLO)$/lwptblformula.obj\
+		$(SLO)$/lwpnumericfmt.obj  \
+		$(SLO)$/lwpchangemgr.obj \
+		$(SLO)$/explode.obj \
+		$(SLO)$/lwpglobalmgr.obj
 
 .INCLUDE :  target.mk
diff -urp '--exclude=unxlngx6.pro' lotuswordpro.bak/util/makefile.mk lotuswordpro/util/makefile.mk
--- lotuswordpro.bak/util/makefile.mk	2008-10-22 14:01:16.000000000 +0800
+++ lotuswordpro/util/makefile.mk	2008-10-22 11:42:21.000000000 +0800
@@ -7,7 +7,8 @@ VERSION=$(UPD)
 
 LIB1TARGET= $(SLB)$/$(TARGET).lib
 LIB1FILES= \
-	$(SLB)$/filter.lib
+	$(SLB)$/filter.lib  \
+	$(SLB)$/xfilter.lib
 SHL1LIBS=$(LIB1TARGET) 
 SHL1STDLIBS+= \
 	$(TOOLSLIB) \
@@ -16,6 +17,15 @@ SHL1STDLIBS+= \
 	$(CPPUHELPERLIB) \
 	$(CPPULIB) \
 	$(SALLIB) \
+    $(SFXLIB) \
+    $(SOTLIB) \
+    $(VCLLIB) \
+    $(ICUUCLIB) \
+    $(ICUINLIB) \
+    $(ICULELIB) \
+    $(SVXCORELIB) \
+    $(GOODIESLIB) \
+    $(SVTOOLLIB) \
 	$(XMLOFFLIB)
 
 SHL1TARGET = $(TARGET)$(DLLPOSTFIX)
